package com.yidianling.consultant.router

import android.app.Activity
import android.content.Context
import android.support.v7.app.AppCompatActivity
import com.ydl.ydlcommon.modular.ModularServiceManager
import com.yidianling.im.api.service.IImService
import com.yidianling.user.api.service.IAppService
import com.yidianling.user.api.service.IUserService

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/23
 */
object ConsultantIn {

    fun getImService(): IImService {
        return ModularServiceManager.provide(IImService::class.java)
    }

    fun getAppService(): IAppService {
        return ModularServiceManager.provide(IAppService::class.java)
    }
    fun getUserService(): IUserService {
        return ModularServiceManager.provide(IUserService::class.java)
    }

    // 打开小壹聊天界面
    fun startP2PXiaoYi(context: Context) {
        getImService().startP2PXiaoYi(context)
    }

    fun isLogin(): Boolean {
        return ModularServiceManager.provide(IUserService::class.java).isLogin()
    }

    fun startP2PSession(context: AppCompatActivity, toUid: String) {
        getImService().startP2PSession(context, toUid)
    }

    fun mainIntent(activity: Activity){
        getAppService().mainIntent(activity)
    }

    fun getUserImpl(): IUserService {
        return ModularServiceManager.provide(IUserService::class.java)
    }

    fun toLogin(activity: Activity) {
        activity.startActivity(ModularServiceManager.provide(IUserService::class.java).loginWayIntent(activity))
    }

}